FunctionTable
Keywords: uk.ac.bbk.dcs.automed.qproc.FunctionTable,FunctionTable class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class FunctionTable

    java.lang.Object
      |
      +--uk.ac.bbk.dcs.automed.qproc.FunctionTable

Direct Known Subclasses:
  StandardFunctionTable

public class FunctionTable
extends java.lang.Object

Class containing a HashMap that keeps the function names.

Constructor Summary
`FunctionTable()` Constructs a FunctionTable object representing an empty table.
`FunctionTable(BuiltInFunction[] fs, java.lang.String[] names)` Constructs a FunctionTable object.

Method Summary
`void` | `addFunction(java.lang.String name, BuiltInFunction f)` Adds a string and function pair to the table.
`BuiltInFunction` | `getFunction(java.lang.String name)` Returns the BuiltInFunction corresponding to the string name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionTable

    public FunctionTable()

  Constructs a FunctionTable object representing an empty table.

### FunctionTable

    public FunctionTable(BuiltInFunction[] fs,
                         java.lang.String[] names)

  Constructs a FunctionTable object. Mappings from strings in names to their corresponding functions in fs are added to the table.

Method Detail

### getFunction

    public BuiltInFunction getFunction(java.lang.String name)

  Returns the BuiltInFunction corresponding to the string name.

### addFunction

    public void addFunction(java.lang.String name,
                            BuiltInFunction f)

  Adds a string and function pair to the table.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD